%global         php_extdir %(php-config --extension-dir 2>/dev/null || echo "undefined")
%define         real_name       zend
Name:           php-zend
Version:        3.3.9
Release:        2%{?dist}
Summary:        PHP ZendOptimizer Loader

Group:          Development/Languages
License:        Other
URL:            http://www.zend.com/products/guard/zend-optimizer
Source0:        ZendOptimizer-3.3.9-linux-glibc23-x86_64.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: php, php-devel
BuildRequires: autoconf, automake, libtool
Requires: php(zend-abi) = %{php_zend_api}
Requires: php(api) = %{php_core_api}

%description
ZendOptimizer Loader for php

%prep
%setup -q -n ZendOptimizer-3.3.9-linux-glibc23-x86_64

%build

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php.d
%{__cat} > %{buildroot}%{_sysconfdir}/php.d/%{real_name}.ini << 'EOF'
; Enable %{name} zend extension module
zend_extension=/usr/lib64/php/modules/ZendOptimizer.so
EOF

%{__mkdir_p} %{buildroot}%{php_extdir}
%{__install} -m 644 data/5_2_x_comp/ZendOptimizer.so %{buildroot}%{php_extdir}/ZendOptimizer.so

%clean
%{__rm} -rf %{buildroot}


%preun


%files
%defattr(-,root,root,-)
%doc EULA-ZendOptimizer LICENSE README-ZendOptimizer
%config(noreplace) %{_sysconfdir}/php.d/%{real_name}.ini
%{php_extdir}/ZendOptimizer.so


%changelog
* Wed Sep 03 2010 Denis Frolov <d.frolov81@mail.ru> - 3.3.9-1
- Initial RPM release.

